CA PPM Jaspersoft 7.1 Upgrade Assistant

Upgrading and patching your CA PPM environment including Jaspersoft 7.1 is very important. You want to receive new features, the latest enhancements, and security fixes. In addition, falling too far behind can increase your risk exposure and compound maintenance time and cost.
ccppmod143
Upgrading and patching your CA PPM environment including Jaspersoft 7.1 is very important. You want to receive new features, the latest enhancements, and security fixes. In addition, falling too far behind can increase your risk exposure and compound maintenance time and cost.
: Try to take advantage of staying current on the latest releases and patches and not fall too far behind on maintenance.
Ready To Go to Jaspersoft 7.1?
We recommend that all new and existing customers install or upgrade directly to CA PPM 15.5: 
  • Existing customers can then upgrade from Jaspersoft 6.4.2 (the previous release) to 7.1 (the new release).
  • New installations of 15.5.1 in December 2018 will already include Jaspersoft 7.1.
CA PPM and Jaspersoft Upgrade Decision Assistant
CA PPM and Jaspersoft Upgrade Decision Assistant
Decide which option is best for your organization. To assist you, follow the diagram or choose one of the following scenarios:
  • Scenario 1
    : You currently have an unsupported release of 
    Clarity Project and Portfolio Management (PPM)
     13.3 or older. You cannot simply upgrade to Jaspersoft 7.1. You must first upgrade to 14.3 with Jaspersoft 6.2.1. Then, from that level, you can directly upgrade to 15.3 or 15.4 and upgrade to Jaspersoft 6.4.2 with the Same DB (in-place) upgrade option. You can also upgrade to 15.3 or 15.4 and choose a fresh installation (New DB) option for reporting. Now that you are on 15.3 or 15.4 with Jaspersoft 6.4.2, you can upgrade to Jaspersoft 7.1. (You've come this far, why not upgrade to the newest CA PPM release available, 15.5.1.)
  • Scenario 2
    : You currently have 
    Clarity Project and Portfolio Management (PPM)
     14.2 with Jaspersoft 5.6.1 or 14.3 with Jaspersoft 6.1.0. First, upgrade to 6.2.1. Then, from that level, you can go to 15.3 or 15.4 and Jaspersoft 6.4.2 directly with the Same DB (in-place) upgrade option. You can also upgrade to 15.3 or 15.4 and choose a fresh installation (New DB) option for reporting. Now that you are on 15.3 or 15.4 with Jaspersoft 6.4.2, you can upgrade to Jaspersoft 7.1. (You've come this far, why not upgrade to the newest CA PPM release available, 15.5.1.)
  • Scenario 3
    : You currently have 
    Clarity Project and Portfolio Management (PPM)
     14.3 or higher with Jaspersoft 6.2.1. You can upgrade directly to 15.3 or 15.4 and then upgrade Jaspersoft to 6.4.2. Choose fresh installation (New DB) or upgrade (Same DB). Now that you are on 15.3 or 15.4 with Jaspersoft 6.4.2, you can upgrade to Jaspersoft 7.1. (You've come this far, why not upgrade to the newest CA PPM release available, 15.5.1.)
  • Scenario 4
    : You are a new customer. You
    could
    install 15.3 or higher and a fresh installation of Jaspersoft 6.4.2 and then upgrade to 7.1. However, we recommend that all new and existing customers install or upgrade directly to 15.5.1. Customers can then upgrade from Jaspersoft 6.4.2 to 7.1. New installations of 15.5.1 already include Jaspersoft 7.1.
: As an option, customers can also migrate their reporting content and start over with a fresh installation of Jaspersoft.
  • Export your advanced reporting content from 5.6.1 or higher. Perform a New DB fresh install for Jaspersoft 6.4.2 and then import your reporting content.
    – OR –
  • Export your advanced reporting content from 6.4.2. Perform a New DB fresh install for Jaspersoft 7.1 and then import your reporting content.